package com.steerinfo.dil.feign;

import com.steerinfo.framework.controller.RESTfulResult;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import io.swagger.annotations.ApiOperation;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.*;

import java.math.BigDecimal;
import java.util.Map;

/**
 * @ author    :TXF
 * @ time      :2021/10/1 17:19
 */

@FeignClient(name = "dil-trick-queue-dev", url = "${openfeign.QmsTruckFeign.url}")
public interface QmsFeign {

    @RequestMapping(value = "/api/v1/queueTruck/qmsqueuegrids/getStackingId",method = RequestMethod.POST)
    Map<String,Object> getStackingId(@RequestParam BigDecimal warehouseId,
                                     @RequestParam int size);

    /*
    QmsQueueResultController /  QmsQueueListController
     */

    @PostMapping("api/v1/queueTruck/qmsqueueresults/addQueueResult")
     Map<String, Object> addQueueResult( @RequestParam("vno")String vno);


    @PostMapping("api/v1/queueTruck/qmsqueuelists/addQueueList")
     Map<String, Object> addQueueList(@RequestParam("resultId")String resultId);


    @PostMapping("api/v1/queueTruck/qmsqueueresults/orderReceive")
     Map<String, Object> orderReceive(@RequestBody(required=false) Map<String,Object> mapValue,
                                            @RequestParam("apiId") Integer apiId,
                                            @RequestParam("pageNum") Integer pageNum,
                                            @RequestParam("pageSize") Integer pageSize,
                                            @RequestParam("queueType") Integer queueType,
                                            @RequestParam("con")String con
    );

    @PostMapping("api/v1/queueTruck/qmsqueueresults/getQueueApply")
     Map<String, Object> getQueueApply(@RequestBody(required=false) Map<String,Object> mapValue,
                                             @RequestParam("apiId") Integer apiId,
                                             @RequestParam("pageNum") Integer pageNum,
                                             @RequestParam("pageSize") Integer pageSize,
                                             @RequestParam("con")String con
    );

    @PostMapping("api/v1/queueTruck/qmsqueueresults/getQueueListByQueueUp")
     Map<String, Object> getQueueListByQueueUp(@RequestBody(required=false) Map<String,Object> mapValue,
                                                     @RequestParam("apiId") Integer apiId,
                                                     @RequestParam("pageNum") Integer pageNum,
                                                     @RequestParam("pageSize") Integer pageSize,
                                                     @RequestParam("locationId") Integer locationId,
                                                     @RequestParam("capacityNumber")String capacityNumber,
                                                     @RequestParam("isSpelling")Integer isSpelling
    );

    @PostMapping("api/v1/queueTruck/qmsqueueresults/getChangeQueue")
     Map<String, Object> getChangeQueue(@RequestBody(required=false) Map<String,Object> mapValue,
                                              @RequestParam("apiId") Integer apiId,
                                              @RequestParam("pageNum") Integer pageNum,
                                              @RequestParam("pageSize") Integer pageSize,
                                              @RequestParam("con")String con
    );


    @PostMapping("api/v1/queueTruck/qmsqueuelists/queueCancel")
     Map<String, Object> queueCancel(@RequestBody(required=false) Map<String, Object> mapValue);



    @PostMapping("api/v1/queueTruck/qmsqueueresults/getQueueCancel")
     Map<String, Object> getQueueCancel(@RequestBody(required=false) Map<String,Object> mapValue,
                                              @RequestParam("apiId") Integer apiId,
                                              @RequestParam("pageNum") Integer pageNum,
                                              @RequestParam("pageSize") Integer pageSize,
                                              @RequestParam("con")String con

    );

    @PostMapping("api/v1/queueTruck/qmsqueueresults/updateQueueCancel")
     Map<String, Object> updateQueueCancel(@RequestBody(required=false) Map<String,Object> mapValue);


    @PostMapping("api/v1/queueTruck/qmsqueuelists/queueCutInLine")
     Map<String, Object> queueCutInLine(@RequestBody(required=false) Map<String, Object> mapValue);


    @PostMapping("api/v1/queueTruck/qmsqueueresults/getQueueInsert")
     Map<String, Object> getQueueInsert(@RequestBody(required=false) Map<String,Object> mapValue,
                                              @RequestParam("apiId") Integer apiId,
                                              @RequestParam("pageNum") Integer pageNum,
                                              @RequestParam("pageSize") Integer pageSize,
                                              @RequestParam("con")String con
    );

    @PostMapping("api/v1/queueTruck/qmsqueuelists/queueEndByPDA")
    Map<String, Object> queueEnd(@RequestBody(required=false) Map<String, Object> mapValue);

    @PostMapping("api/v1/queueTruck/qmsqueueresults/getQueueEndResult")
     Map<String, Object> getQueueEndResult(@RequestBody(required=false) Map<String,Object> mapValue,
                                                 @RequestParam("apiId") Integer apiId,
                                                 @RequestParam("pageNum") Integer pageNum,
                                                 @RequestParam("pageSize") Integer pageSize,
                                                 @RequestParam("con")String con
    );

    @PostMapping("api/v1/queueTruck/qmsqueuelists/listMonitor")
     Map<String, Object> listMonitor(@RequestBody(required=false) Map<String,Object> mapValue,
                                           @RequestParam("apiId") Integer apiId,
                                           @RequestParam("pageNum") Integer pageNum,
                                           @RequestParam("pageSize") Integer pageSize,
                                           @RequestParam("isSpelling")Integer isSpelling
    );

    @PostMapping("api/v1/queueTruck/qmsqueueresults/getOrderReceive/{capacityNumber}")
     Map<String, Object> getOrderReceive(@PathVariable("capacityNumber") String capacityNumber);


    @PostMapping("api/v1/queueTruck/qmsqueueresults/cancelQueue")
     Map<String, Object> cancelQueue(@RequestBody Map<String,Object> mapValue);


    @PostMapping("api/v1/queueTruck/qmsqueuelists/allowEnFactory")
    Map<String, Object> allowEnFactory(@RequestBody(required=false) Map<String, Object> mapValue);

    @PostMapping("api/v1/queueTruck/qmsqueuelists/modifyLoadWarehouse")
    Map<String, Object> modifyLoadWarehouse(@RequestBody(required=false) Map<String, Object> mapValue);

    @GetMapping("api/v1/queueTruck/qmsqueueresults/getQueueResultByTotalId")
    Map<String, Object> getQueueResultByTotalId(@RequestParam("resultTotalId") String resultTotalId);

    @PostMapping("api/v1/queueTruck/qmsqueuelists/getListMonitorMes")
    Map<String, Object> getListMonitorMes(@RequestBody(required=false) Map<String,Object> mapValue);

    @PostMapping("api/v1/queueTruck/qmsqueuelists/getSpellingListMonitorMes")
    Map<String, Object> getSpellingListMonitorMes(@RequestBody(required=false) Map<String,Object> mapValue);

    @PostMapping("api/v1/queueTruck/qmsqueueresults/isInCircle")
    Map<String, Object> isInCircle(@RequestParam String longitude,
                                   @RequestParam String latitude,
                                   @RequestParam String capacityNo);

    @PostMapping("api/v1/queueTruck/qmsqueuelists/ctrlZQueueAllow")
    Map<String, Object> ctrlZQueueAllow(Map<String, Object> map);

    @PostMapping("api/v1/queueTruck/qmsqueueresults/getStoreQueueList")
    Map<String, Object> getStoreQueueList();

//    @PostMapping("api/v1/queueTruck/qmsqueueresults/getAllQueueMes")
//     Map<String, Object> getAllQueueMes(@RequestBody(required=false) Map<String,Object> mapValue,
//                                              @RequestParam("apiId") Integer apiId,
//                                              @RequestParam("pageNum") Integer pageNum,
//                                              @RequestParam("pageSize") Integer pageSize,
//                                              @RequestParam("gatepostId") Integer gatepostId,
//                                              @RequestParam("con")String con
//    );

    
//    @PostMapping("api/v1/queueTruck/qmsqueuelists/changeQueue")
//     Map<String, Object> changeQueue(@RequestBody(required=false) Map<String, Object> mapValue);
//
    

//    @PostMapping("api/v1/queueTruck/qmsqueueresults/getQueueCancelByResultId/{resultId}")
//     Map<String, Object> getQueueCancelByResultId(@PathVariable("resultId") Integer resultId);

    

//    @PostMapping("api/v1/queueTruck/qmsqueueresults/capacityMonitor")
//     Map<String, Object> capacityMonitor(@RequestBody(required=false) Map<String,Object> mapValue,
//                                               @RequestParam("apiId") Integer apiId,
//                                               @RequestParam("pageNum") Integer pageNum,
//                                               @RequestParam("pageSize") Integer pageSize,
//                                               @RequestParam("gridType") Integer gridType,
//                                               @RequestParam("con")String con
//    );
    


//    @PostMapping("api/v1/queueTruck/qmsqueueresults/getQueueStatusList")
//     Map<String, Object> getQueueStatusList();


    

//    @PostMapping("api/v1/queueTruck/qmsqueueresults/getAllExecutionOrder")
//     Map<String, Object> getAllExecutionOrder(@RequestBody(required=false) Map<String,Object> mapValue,
//                                                    @RequestParam("apiId") Integer apiId,
//                                                    @RequestParam("pageNum") Integer pageNum,
//                                                    @RequestParam("pageSize") Integer pageSize,
//                                                    @RequestParam("orderType")Integer orderType,
//                                                    @RequestParam("status")Integer status,
//                                                    @RequestParam("con")String con
//    );


//
//    @PostMapping("api/v1/queueTruck/qmsqueuelists/getListQueueMes")
//    RESTfulResult getListQueueMes(@RequestBody(required=false) Map<String, Object> mapValue);



//    @PostMapping("api/v1/queueTruck/qmsqueueresults/getWarehouseQueueChange")
//    Map<String, Object> getWarehouseQueueChange(@RequestBody(required=false) Map<String,Object> mapValue,
//                                                @RequestParam("apiId") Integer apiId,
//                                                @RequestParam("pageNum") Integer pageNum,
//                                                @RequestParam("pageSize") Integer pageSize,
//                                                @RequestParam("con")String con
//    );
//    @PostMapping("api/v1/queueTruck/qmsqueueresults/getWarehouseQueueEndMes")
//    Map<String, Object> getWarehouseQueueEndMes(@RequestBody(required=false) Map<String,Object> mapValue,
//                                                @RequestParam("apiId") Integer apiId,
//                                                @RequestParam("pageNum") Integer pageNum,
//                                                @RequestParam("pageSize") Integer pageSize,
//                                                @RequestParam("con")String con
//    );
    @GetMapping("api/v1/queueTruck/qmsqueueresults/getAllModel")
    Map<String, Object> getAllModel(@RequestParam String index);

    @GetMapping("api/v1/queueTruck/qmsqueueresults/getAllModelUnrolled")
    Map<String, Object> getAllModelUnrolled(@RequestParam String index);

    @PostMapping("api/v1/queueTruck/qmsqueueresults/addModel")
    Map<String, Object> addModel(@RequestBody(required=false) Map<String,Object> mapValue);

    @PostMapping("api/v1/queueTruck/qmsqueueresults/updateModel")
    Map<String, Object> updateModel(@RequestBody(required=false) Map<String,Object> mapValue);

    @PostMapping("api/v1/queueTruck/qmsqueueresults/deleteModel")
    Map<String, Object> deleteModel(@RequestBody(required=false) Map<String,Object> mapValue);
}
