package com.steerinfo.dil.feign;

import com.steerinfo.dil.util.PageListAdd;
import com.steerinfo.framework.controller.RESTfulResult;
import com.steerinfo.framework.service.pagehelper.PageHelper;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import io.swagger.annotations.ApiOperation;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.*;

import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

/**
 * @ author    :TXF
 * @ time      :2021/10/1 16:19
 */

@FeignClient(name = "dil-tms-train-dev", url = "${openfeign.TmsTrainFeign.url}")
public interface TmsTrainFeign {

/*
    TmstrainLoadingResultController
 */

    @PostMapping("api/v1/trainTms/tmstrainloadingresults/getTmstrainWagonLoad")
    public Map<String, Object> getTmstrainWagonLoad(@RequestBody(required = false) Map<String, Object> mapValue,
                                              @RequestParam("apiId") Integer apiId,
                                              @RequestParam("pageNum") Integer pageNum,
                                              @RequestParam("pageSize") Integer pageSize,
                                              @RequestParam("resultType") Integer resultType,
                                              @RequestParam("materialId")Integer materialId,
                                              @RequestParam("supplierId")Integer supplierId,
                                                    @RequestParam("con") String con,
                                                    @RequestParam("startTime")String startTime,
                                                    @RequestParam("endTime")String endTime);


    @PostMapping(value = "api/v1/trainTms/tmstrainloadingresults/insertTmstrainLoadingResult")
    public Map<String, Object> insertTmstrainLoadingResult(@RequestBody(required = false) Map<String, Object> map);


    @PostMapping(value = "api/v1/trainTms/tmstrainloadingresults/getTmstrainLoadingResultByResultId/{resultId}")
    public Map<String, Object> getTmstrainLoadingResultByResultId(@PathVariable("resultId") BigDecimal resultId);


    @PostMapping(value = "api/v1/trainTms/tmstrainloadingresults/upadteTmstrainLoadingResultByResultId")
    public Map<String, Object> upadteTmstrainLoadingResultByResultId(@RequestBody(required = false) Map<String, Object> map);


    @PostMapping(value = "api/v1/trainTms/tmstrainloadingresults/deleteTmstrainLoadingResultByResultId")
    public Map<String, Object> deleteTmstrainLoadingResultByResultId(@RequestParam BigDecimal resultId);

    @PostMapping(value = "api/v1/trainTms/tmstrainloadingresults/deleteOutBoundWagonById")
    public Map<String, Object> deleteOutBoundWagonById(@RequestParam BigDecimal resultId);

    //下拉框

    @GetMapping(value = "api/v1/trainTms/tmstrainloadingresults/getSendStationName")
    public Map<String, Object> getSendStationName();


    @GetMapping(value = "api/v1/trainTms/tmstrainloadingresults/getArrivalStationName")
    public Map<String, Object> getArrivalStationName();


    @GetMapping(value = "api/v1/trainTms/tmstrainloadingresults/getBatchId")
    public Map<String, Object> getBatchId();

    @ApiOperation(value = "获取已装车还未卸车车皮")
    @PostMapping(value = "api/v1/trainTms/tmstrainloadingresults/getWagonNo/{resultType}")
    public Map<String, Object> getWagonNo(@PathVariable("resultType") Integer resultType,
                                    @RequestBody(required = false) Map<String, Object> mapValue,
                                    @RequestParam("apiId") Integer apiId,
                                    @RequestParam("pageNum") Integer pageNum,
                                    @RequestParam("pageSize") Integer pageSize,
                                    @RequestParam("wagon") String wagon,
                                    @RequestParam("purchaseOrderNum") String purchaseOrderNum,
                                    @RequestParam("materialName")String materialName);

    /*
        TmstrainWagonUnloadResultController
     */

    @PostMapping("api/v1/trainTms/tmstrainwagonunloadresults/getTmstrainWagonUnLoad")
    public Map<String, Object> getTmstrainWagonUnLoad(@RequestBody(required=false) Map<String,Object> mapValue,
                                                @RequestParam("apiId") Integer apiId,
                                                @RequestParam("pageNum") Integer pageNum,
                                                @RequestParam("pageSize") Integer pageSize,
                                                @RequestParam("resultType") Integer resultType,
                                                      @RequestParam("con") String con);


    @PostMapping(value = "api/v1/trainTms/tmstrainwagonunloadresults/deleteTmstrainWagonUnLoadResultByUnLoadingId")
    public Map<String, Object> deleteTmstrainWagonUnLoadResultByUnLoadingId(@RequestParam BigDecimal unloadingId);


    @PostMapping(value = "api/v1/trainTms/tmstrainwagonunloadresults/insertTmstrainWagonUnLoadResult")
    public Map<String, Object> insertTmstrainWagonUnLoadResult(@RequestBody(required = false) Map<String, Object> tmstrainWagonUnloadResult);


    @PostMapping(value = "api/v1/trainTms/tmstrainwagonunloadresults/upadteTmstrainWagonUnLoadResultByUnLoadingId")
    public Map<String, Object> upadteTmstrainWagonUnLoadResultByUnLoadingId(@RequestBody(required = false) Map<String, Object> tmstrainWagonUnloadResult);


    @PostMapping("api/v1/trainTms/tmstrainwagonunloadresults/getTmstrainresult")
    public Map<String, Object> getTmstrainresult(@RequestBody(required=false) Map<String,Object> mapValue,
                                           @RequestParam("apiId") Integer apiId,
                                           @RequestParam("pageNum") Integer pageNum,
                                           @RequestParam("pageSize") Integer pageSize,
                                                 @RequestParam("con") String con);


    @PostMapping(value = "api/v1/trainTms/tmstrainwagonunloadresults/getTmstrainWagonUnLoadResultByUnLoadingId/{unloadingId}")
    public Map<String, Object> getTmstrainWagonUnLoadResultByUnLoadingId(@PathVariable("unloadingId") BigDecimal unloadingId);


        //下拉框
    @GetMapping(value = "api/v1/trainTms/tmstrainwagonunloadresults/getUnloadingPointName")
    public Map<String, Object> getUnloadingPointName();


    @GetMapping(value = "api/v1/trainTms/tmstrainwagonunloadresults/getUnloadingRouteName")
    public Map<String, Object> getUnloadingRouteName();



    /**************************TmstrainPleaseApproveResultController************************************/

    @PostMapping("api/v1/trainTms/tmstrainpleaseapproveresults/getAllWagonPlease")
    public Map<String, Object> getAllWagonPlease(@RequestBody(required=false) Map<String,Object> mapValue,
                                           @RequestParam("apiId") Integer apiId,
                                           @RequestParam("pageNum") Integer pageNum,
                                           @RequestParam("pageSize") Integer pageSize,
                                           @RequestParam("status") Integer status,
                                           @RequestParam("resultType") Integer resultType,
                                           @RequestParam("resultId") Integer resultId,
                                           @RequestParam("con") String con
                                                 );

    @PostMapping ("api/v1/trainTms/tmstrainpleaseapproveresults/getWagonPleaseById/{resultId}")
    public Map<String, Object> getWagonPleaseById(@PathVariable("resultId")Integer resultId);

    @PostMapping("api/v1/trainTms/tmstrainpleaseapproveresults/addWagonPlease")
    public Map<String, Object> addWagonPlease(@RequestBody(required = false) Map<String, Object> tmstrainPleaseApproveResult);


    @PostMapping("api/v1/trainTms/tmstrainpleaseapproveresults/updateWagonPlease")
    public Map<String, Object> updateWagonPlease(@RequestBody(required = false) Map<String, Object> tmstrainPleaseApproveResult);


    @PostMapping("api/v1/trainTms/tmstrainpleaseapproveresults/deleteWagonPlease/{resultId}")
    public Map<String, Object> deleteWagonPlease(@PathVariable("resultId") Integer resultId);


    @PostMapping("api/v1/trainTms/tmstrainpleaseapproveresults/sendWagonPlease/{resultId}")
    public Map<String, Object> sendWagonPlease(@PathVariable("resultId") Integer resultId);

    //下拉框
    @GetMapping("api/v1/trainTms/tmstrainpleaseapproveresults/getShipper")
    public Map<String, Object> getShipper();

    @GetMapping("api/v1/trainTms/tmstrainpleaseapproveresults/getRailPlan")
    Map<String, Object> getRailPlan();


    @PostMapping("api/v1/trainTms/tmstrainpleaseapproveresults/getApproveAllWagonPlease")
    public Map<String, Object> getApproveAllWagonPlease(@RequestBody(required=false) Map<String,Object> mapValue,
                                                  @RequestParam("apiId") Integer apiId,
                                                  @RequestParam("pageNum") Integer pageNum,
                                                  @RequestParam("pageSize") Integer pageSize,
                                                  @RequestParam("resultType") Integer resultType,
                                                  @RequestParam("status") Integer status,
                                                  @RequestParam("con") String con
    );

    @PostMapping ("api/v1/trainTms/tmstrainpleaseapproveresults/getApproveWagonPleaseById/{resultId}")
    public Map<String, Object> getApproveWagonPleaseById(@PathVariable("resultId")Integer resultId);


    @PostMapping("api/v1/trainTms/tmstrainpleaseapproveresults/addApproveWagonPlease")
    public Map<String, Object> addApproveWagonPlease(@RequestBody(required = false) Map<String, Object> tmstrainPleaseApproveResult);

    @PostMapping("api/v1/trainTms/tmstrainpleaseapproveresults/updateApproveWagonPlease")
    public Map<String, Object> updateApproveWagonPlease(@RequestBody(required = false) Map<String, Object> tmstrainPleaseApproveResult);

    @PostMapping("api/v1/trainTms/tmstrainpleaseapproveresults/deleteApproveWagonPlease/{resultId}")
    public Map<String, Object> deleteApproveWagonPlease(@PathVariable("resultId") Integer resultId);

    //*****************************************内转物流***************************************************

    @PostMapping("api/v1/trainTms/tmstrainloadingresults/addTrainLoadResultForConverted")
    Map<String,Object>  addTrainLoadResultForConverted(@RequestBody(required = false) Map<String, Object> tmstrainPleaseApproveResult);

    @PostMapping ("api/v1/trainTms/tmstrainloadingresults/selectLoadByResultId/{resultId}")
    Map<String,Object> selectLoadByResultId(@PathVariable("resultId")BigDecimal resultId);

    @PostMapping("api/v1/trainTms/tmstrainloadingresults/getTmstrainWagonLoadForConverted")
    Map<String,Object> getTmstrainWagonLoadForConverted(@RequestBody(required=false)
                                                        @RequestParam("apiId") Integer apiId,
                                                        @RequestParam("pageNum") Integer pageNum,
                                                        @RequestParam("pageSize") Integer pageSize,
                                                        @RequestParam("con") String con);

    @PostMapping ("api/v1/trainTms/tmstrainpleaseapproveresults/getPleasePlanByResultId/{resultId}")
    Map<String,Object> getPleasePlanByResultId(@PathVariable("resultId")BigDecimal resultId);

    @PostMapping ("api/v1/trainTms/tmstrainpleaseapproveresults/getApproveByResultId/{resultId}")
    Map<String,Object> getApproveByResultId(@PathVariable("resultId")BigDecimal resultId);

    @PostMapping("api/v1/trainTms/tmstrainwagonunloadresults/selectWagonUnLoadResultForConverted")
    Map<String,Object>  selectWagonUnLoadResultForConverted(
                                                            @RequestParam("apiId") Integer apiId,
                                                            @RequestParam("pageNum") Integer pageNum,
                                                            @RequestParam("pageSize") Integer pageSize,
                                                            @RequestParam("con") String con);

    @PostMapping("api/v1/trainTms/tmstrainwagonunloadresults/selectTrainUnLoadResultForConverted")
    Map<String,Object>  selectTrainUnLoadResultForConverted(
                                                            @RequestParam("apiId") Integer apiId,
                                                            @RequestParam("pageNum") Integer pageNum,
                                                            @RequestParam("pageSize") Integer pageSize,
                                                            @RequestParam("con") String con);
    @PostMapping ("api/v1/trainTms/tmstrainpleaseapproveresults/addWagonPleaseForNZ")
    Map<String,Object> addPleaseForNZ(@RequestBody(required = false) Map<String, Object> tmstrainPleaseApproveResult);

    @PostMapping(value = "api/v1/trainTms/tmstrainwagonunloadresults/addTmsTrainUnloadResultForNZ")
    Map<String, Object> addTmsTrainUnloadResultForNZ(@RequestBody(required = false)Map<String, Object> map);

    @PostMapping(value = "api/v1/trainTms/tmstrainloadingresults/getMaterialAndCarByLoadingId")
    Map<String, Object> getMaterialAndCarByLoadingId(
            @RequestBody(required = false) Map<String, Object> mapValue,
            @RequestParam("apiId") Integer apiId,
            @RequestParam("pageNum") Integer pageNum,
            @RequestParam("pageSize") Integer pageSize,
            @RequestParam("loadingId")Integer loadingId,
            @RequestParam("unloadingId")Integer unloadingId);

    @ApiOperation(value = "国产矿导入")
    @PostMapping(value = "api/v1/trainTms/tmstrainloadingresults/importDomesticLoadResult")
    Map<String, Object> importDomesticLoadResult(@RequestBody(required = false) Map<String, Object> mapValue);

    @ApiOperation(value = "进口矿导入")
    @PostMapping(value = "api/v1/trainTms/tmstrainloadingresults/importImportedLoadResult")
    Map<String, Object> importImportedLoadResult(@RequestBody(required = false) Map<String, Object> mapValue);

    @ApiOperation(value = "国产矿物流新增装车")
    @PostMapping(value = "api/v1/trainTms/tmstrainloadingresults/addDomesticLoadResult")
    Map<String, Object> addDomesticLoadResult(@RequestBody(required = false) Map<String, Object> mapValue);

    @ApiOperation(value = "国产矿物流补录装车信息")
    @PostMapping(value = "api/v1/trainTms/tmstrainloadingresults/updateDomesticLoadResult")
    Map<String, Object> updateDomesticLoadResult(@RequestBody(required = false) Map<String, Object> map);

    @ApiOperation(value = "添加火车计量委托")
    @PostMapping(value = "api/v1/trainTms/tmstrainmeasurecommissions/addTrainMeasureCommission")
    Map<String, Object> addTrainMeasureCommission(@RequestBody(required = false) Map<String, Object> map);


    @PostMapping(value = "api/v1/trainTms/tmstrainmeasurecommissions/getLoadResultToSendMC")
    Map<String, Object> getLoadResultToSendMC( @RequestBody(required = false) Map<String, Object> mapValue,
                                               @RequestParam("apiId") Integer apiId,
                                               @RequestParam("pageNum") Integer pageNum,
                                               @RequestParam("pageSize") Integer pageSize,
                                               @RequestParam("resultType") Integer resultType,
                                               @RequestParam("startTime") String startTime,
                                               @RequestParam("endTime") String endTime,
                                               @RequestParam("con") String con
                                               );

    @PostMapping(value = "api/v1/trainTms/tmstrainmeasurecommissions/getWeightResult")
    Map<String, Object> getWeightResult( @RequestBody(required = false) Map<String, Object> mapValue,
                                               @RequestParam("apiId") Integer apiId,
                                               @RequestParam("pageNum") Integer pageNum,
                                               @RequestParam("pageSize") Integer pageSize,
                                               @RequestParam("resultType") Integer resultType,
                                               @RequestParam("startTime") String startTime,
                                               @RequestParam("endTime") String endTime,
                                               @RequestParam("con") String con
    );

    @ApiOperation(value = "批量新增计量委托")
    @PostMapping(value = "api/v1/trainTms/tmstrainmeasurecommissions/batchSendMeasureCommission")
    Map<String, Object> batchSendMeasureCommission(@RequestBody(required = false) Map<String, Object> map);

    @ApiOperation(value = "根据物资名和外轮船名查询采购订单号")
    @PostMapping(value = "api/v1/trainTms/tmstrainloadingresults/getPurchaseOrderList")
    Map<String, Object> getPurchaseOrderList(@RequestBody(required = false) Map<String, Object> map,
                                                   @RequestParam("apiId")Integer apiId,
                                                   @RequestParam("pageNum") Integer pageNum,
                                                   @RequestParam("pageSize") Integer pageSize,
                                                   @RequestParam("materialName")String materialName,
                                                   @RequestParam("resultForeignShipName")String resultForeignShipName,
                                                   @RequestParam("supplierName")String supplierName);


    @PostMapping(value = "api/v1/trainTms/tmstrainloadingresults/addWarehouseOutResult")
    Map<String, Object> addWarehouseOutResult(@RequestBody(required = false) Map<String,Object> map);

    @PostMapping(value =  "api/v1/trainTms/tmstrainloadingresults/getWareHouseOutresult/{resultId}")
    Map<String, Object> getWareHouseOutresult(@PathVariable("resultId")BigDecimal resultId);


    @PostMapping(value =  "api/v1/trainTms/tmstrainloadingresults/updateWarehouseResult")
    Map<String, Object> updateWarehouseResult(@RequestBody(required = false) Map<String, Object> map);


    @PostMapping(value =  "api/v1/trainTms/tmstrainloadingresults/getResultType")
    Map<String, Object> getResultType(@RequestBody(required = false)Map<String,Object> map,
                                      @RequestParam("apiId") Integer apiId,
                                      @RequestParam("con") String con);

    @PostMapping(value =  "api/v1/trainTms/tmstrainloadingresults/addShipLoadResult")
    Map<String, Object> addShipLoadResult(@RequestBody(required = false) Map<String, Object> map);
}