package com.steerinfo.dil.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 收款客户 rms_receiving_company
 * @author xiaosh
 */
public class RmsReceivingCompany implements IBasePO<BigDecimal> {
    /**
     * 收款客户ID
     */
    @ApiModelProperty(value = "收款客户ID")
    private BigDecimal companyId;
    /**
     * 收款客户编码
     */
    @ApiModelProperty(value = "收款客户编码")
    private String companyCode;
    /**
     * 收款客户名称
     */
    @ApiModelProperty(value = "收款客户名称")
    private String companyName;
    /**
     * 记录创建人
     */
    @ApiModelProperty(value = "记录创建人")
    private String insertUsername;
    /**
     * 记录创建时间
     */
    @ApiModelProperty(value = "记录创建时间")
    private Date insertTime;
    /**
     * 记录修改人
     */
    @ApiModelProperty(value = "记录修改人")
    private String updateUsername;
    /**
     * 记录修改时间
     */
    @ApiModelProperty(value = "记录修改时间")
    private Date updateTime;
    /**
     * 记录创建或修改备注
     */
    @ApiModelProperty(value = "记录创建或修改备注")
    private String insertUpdateRemark;

    @Override
    public BigDecimal getId() {
        return this.companyId;
    }

    @Override
    public void setId(BigDecimal companyId) {
        this.companyId = companyId;
    }

    public BigDecimal getCompanyId() {
        return companyId;
    }

    public void setCompanyId(BigDecimal companyId) {
        this.companyId = companyId;
    }

    public String getCompanyCode() {
        return companyCode;
    }

    public void setCompanyCode(String companyCode) {
        this.companyCode = companyCode;
    }

    public String getCompanyName() {
        return companyName;
    }

    public void setCompanyName(String companyName) {
        this.companyName = companyName;
    }

    public String getInsertUsername() {
        return insertUsername;
    }

    public void setInsertUsername(String insertUsername) {
        this.insertUsername = insertUsername;
    }

    public Date getInsertTime() {
        return insertTime;
    }

    public void setInsertTime(Date insertTime) {
        this.insertTime = insertTime;
    }

    public String getUpdateUsername() {
        return updateUsername;
    }

    public void setUpdateUsername(String updateUsername) {
        this.updateUsername = updateUsername;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getInsertUpdateRemark() {
        return insertUpdateRemark;
    }

    public void setInsertUpdateRemark(String insertUpdateRemark) {
        this.insertUpdateRemark = insertUpdateRemark;
    }
}
