package com.steerinfo.dil.service.impl;

import com.steerinfo.dil.mapper.RmsReceivingCompanyMapper;
import com.steerinfo.dil.model.RmsReceivingCompany;
import com.steerinfo.dil.service.RmsReceivingCompanyService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * @author xiaosh
 */
@Service(value = "rmsReceivingCompanyService1")
public class RmsReceivingCompanyServiceImpl implements RmsReceivingCompanyService {

    @Autowired
    private RmsReceivingCompanyMapper rmsReceivingCompanyMapper;

    @Override
    public List<String> queryRmsReceivingCompanyName() {
        List<String> receivingCompany = new ArrayList<>();
        List<RmsReceivingCompany> list = rmsReceivingCompanyMapper.selectAll();
        if(null != list && !list.isEmpty()){
            for (RmsReceivingCompany rmsReceivingCompany : list) {
                receivingCompany.add(rmsReceivingCompany.getCompanyName());
            }
        }
        return receivingCompany;
    }

    @Override
    public List<Map<String, Object>> queryRmsReceivingCompanyMap() {
        List<Map<String, Object>> receivingCompany = new ArrayList<>();
        List<RmsReceivingCompany> list = rmsReceivingCompanyMapper.selectAll();
        if(null != list && !list.isEmpty()){
            for (RmsReceivingCompany rmsReceivingCompany : list) {
                Map<String, Object> map = new HashMap<>(4);
                map.put("values1", rmsReceivingCompany.getCompanyCode());
                map.put("label1", rmsReceivingCompany.getCompanyName());
                receivingCompany.add(map);
            }
        }
        return receivingCompany;
    }
}
